GCLOUD_APP_VERSIONS_DELETE(1)

NAME

gcloud app versions delete - delete a specified version

SYNOPSIS

gcloud app versions delete VERSIONS [VERSIONS ...] [--service=SERVICE, -s SERVICE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
You cannot delete a version of a service that is currently receiving traffic.

POSITIONAL ARGUMENTS

    VERSIONS [VERSIONS ...]
        The versions to delete (optionally filtered by the --service flag).

FLAGS

    --service=SERVICE, -s SERVICE
        If specified, only delete versions from the given service.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To delete a specific version of a specific service, run:
    $ gcloud app versions delete --service myService v1
To delete a named version across all services, run:
    $ gcloud app versions delete v1
To delete multiple versions of a specific service, run:
    $ gcloud app versions delete --service myService v1 v2
To delete multiple named versions across all services, run:
    $ gcloud app versions delete v1 v2